/*
Theme Name: Foster Community Library
Template:   twentytwentyfive
Author: Eric Dubois
Author URI: https://ericdubois.com
Version: 0.1
*/

/* DISABLE HIGHLIGHTING */
.wp-block-navigation-item.is-active:focus,
.wp-block-navigation-item:focus,
.wp-block-navigation-item a:focus,
.wp-block-site-title:focus,
.wp-block-site-title a:focus {
	outline: none !important;
}

/* MAIN STRUCTURE */
body {
	background: var(--wp--preset--color--210-md);
	margin: 0;
}
header {
	background: #fff;
	color: var(--wp--preset--color--contrast);
	font-weight: 400;
}
main, .wp-site-blocks {
	background: #fff;
}
footer {
	background: var(--wp--preset--color--210-md);
	color: #fff;
	margin-top: 0;
}

/* SITE TITLE */
header .wp-block-site-title {
	display: block;
	width: 240px;
}
footer .wp-block-site-title {
	display: block;
	width: 120px;
}
.wp-block-site-title a {
	display: block;
	background: #fff;
	background-image: url(images/Foster-Community-Library-logo-blue.png);
	background-repeat: no-repeat;
	background-size: cover;
	width: 100%;
	height: 0;
	padding-top: 75%;
	overflow: hidden;
}
footer .wp-block-site-title a {
	background-color: transparent;
	background-image: url(images/Foster-Community-Library-logo-white.png);
}

/* CONTACT FORM */
.wpcf7-form label {
	font-size: .8em;
}
.wpcf7-form input,
.wpcf7-form textarea {
	var(--font-size--medium);
	box-sizing: border-box;
	width: 100%;
	background-color: var(--wp--preset--color--210-lt);
	padding: 8px;
	border: 0;
	border-radius: .25em;
}
.wpcf7-form input[type="submit"] {
	background: var(--wp--preset--color--primary);
	color: #fff;
	font-size: var(--wp--preset--font-size--medium);
	padding: .25em 1.5em;
	border-radius: 1em;
	text-transform: uppercase;
	font-weight: 400;
    letter-spacing: .1em;
    line-height: inherit;
}
.wpcf7-form input[type="submit"]:hover {
	background: var(--wp--preset--color--gray-dk);
}

/* LARGER SCREENS */
@media (min-width: 783px) {
	header .wp-block-site-title {
		margin-left: -48px;
	}
	#main-nav {
		height: 90px;
		margin-bottom: 90px;
		border-bottom: 2px solid var(--wp--preset--color--210-md);
	}
	#main-nav nav {
		height: 30px;
		margin-top: 60px;
	}
    .wp-block-navigation__responsive-container {
        display: block !important;
        position: relative;
        width: auto;
    } 
    .wp-block-navigation__responsive-container-open {
        display: none !important;
    }
}

/* SMALL SCREENS */
@media (max-width: 782px) {
	header {
		border-bottom: 2px solid var(--wp--preset--color--210-md);
	}
	header .wp-block-site-title {
		width: 120px;
		margin-left: -24px;
	}
	#main-nav nav {
		margin-top: 24px;
	}
    .wp-block-navigation__responsive-container:not(.is-menu-open) {
        display: none !important;
    }
    .wp-block-navigation__responsive-container-open:not(.always-shown) {
        display: grid !important;
    }
}